PHP Manual
Prev |  | Next

# SDO_DAS_XML::create

(no version information, might be only in CVS)

SDO_DAS_XML::create -- To create SDO_DAS_XML object for a given schema file

## Description

SDO_DAS_XML SDO_DAS_XML::create ( string xsd_file )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

This is the only static method of SDO_DAS_XML class. Used to instantiate SDO_DAS_XML object.

## Parameters

xsd_file

  Path to XSD Schema file.

## Return Values

Returns SDO_DAS_XML object on success otherwise throws an exception as described below.

## Exceptions

SDO_TypeNotFoundException

  Thrown if a type is not defined in the underlying model.

SDO_DAS_XML_ParserException

  Thrown for any symantical problems while parsing the given XSD File.

Prev | Home | Next
SDO_DAS_XML_Document::setXMLVersion | Up | SDO_DAS_XML::createDataObject